Subject: bug#76375: closed (Re: [bug#76375] [PATCH gnome-team] gnu: gnome-shell: Fix substitutions for imports.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Feb 2025 08:18:02 +0000

Your bug report

#76375: [PATCH gnome-team] gnu: gnome-shell: Fix substitutions for imports.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76375: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76375
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#76375] [PATCH gnome-team] gnu: gnome-shell: Fix substitutions for imports.
From: Maxim Cournoyer <[email-masked]>
To: aurtzy <[email-masked]>
Cc: [email-masked], Vivien Kraus <[email-masked]>, Liliana Marie Prikler <[email-masked]>
Date: Tue, 18 Feb 2025 17:17:36 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

aurtzy <[email-masked]> writes:

> * gnu/packages/gnome.scm (gnome-shell)[arguments]<#:phases>: Update regexps
> for substitutions in 'wrap-programs phase so search paths can be included
> again.
>
> Change-Id: Ie3582edbcb1e5712787c9292c449b161c7c9d869
> ---
>
> Hi!
>
> I noticed the Extensions app was no longer allowing me to view and set up
> extensions while testing this branch, and discovered after some investigation
> that the substitutions for imports were not applying due to changes in the
> file.  Applying this patch fixed it for me.
>
> I didn't pick this up before, but since it looked like Screencast had the same
> issue, I applied the same change, which seems to also "re-enable" screen
> recording with Screencast.

Applied, thanks!

-- 
Maxim

Subject: [PATCH gnome-team] gnu: gnome-shell: Fix substitutions for imports.
From: aurtzy <[email-masked]>
To: [email-masked]
Cc: aurtzy <[email-masked]>
Date: Mon, 17 Feb 2025 16:15:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/gnome.scm (gnome-shell)[arguments]<#:phases>: Update regexps
for substitutions in 'wrap-programs phase so search paths can be included
again.

Change-Id: Ie3582edbcb1e5712787c9292c449b161c7c9d869
---

Hi!

I noticed the Extensions app was no longer allowing me to view and set up
extensions while testing this branch, and discovered after some investigation
that the substitutions for imports were not applying due to changes in the
file.  Applying this patch fixed it for me.

I didn't pick this up before, but since it looked like Screencast had the same
issue, I applied the same change, which seems to also "re-enable" screen
recording with Screencast.

Cheers,

aurtzy

 gnu/packages/gnome.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index c1896336cb..30c93c0ac3 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -9595,7 +9595,7 @@ (define-public gnome-shell
                    '("gnome-shell" "gnome-extensions" "gnome-extensions-app"))
                   (substitute* (string-append #$output "/share/gnome-shell/"
                                               "org.gnome.Shell.Extensions")
-                    (("imports\\.package\\.start" all)
+                    (("^import " all)
                      (string-append "'" gi-typelib-path "'.split(':').forEach("
                                     "path => imports.gi.GIRepository.Repository."
                                     "prepend_search_path(path));\n"
@@ -9604,7 +9604,7 @@ (define-public gnome-shell
                   ;; (i.e. as provided by home-pipewire-service-type)
                   (substitute* (string-append #$output "/share/gnome-shell/"
                                               "org.gnome.Shell.Screencast")
-                    (("imports\\.package\\.start" all)
+                    (("^import " all)
                      (string-append "'" gi-typelib-path "'.split(':').forEach("
                                     "path => imports.gi.GIRepository.Repository."
                                     "prepend_search_path(path));\n"

base-commit: 5e3e1b782b87d5bfe903f978490955cc20a70e5a
-- 
2.48.1